- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
Account Binding
- /
- Unbind External Identity Provider
¶ Unbind external identity source
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Unbind external identity source, this interface needs to pass the external identity source ID bound by the user, Note that it is not the identity source connection ID.
¶ Method name
AuthenticationClient.unlink_ext_idp
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| extIdpId | string | Yes | - | External identity source ID | 62f209327xxxxcc10d966ee5 |
¶ Request response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}
